PARSELOG.PY(1)

NAME
ParseLog.py - Parses records in the console log of pRESTO modules

DESCRIPTION
usage: ParseLog.py [--version] [-h] [-o OUT_FILES [OUT_FILES ...]]

    [--outdir OUT_DIR] [--outname OUT_NAME] [--delim DELIMITER DELIMITER DELIMITER] -l RECORD_FILES [RECORD_FILES ...] -f FIELDS [FIELDS ...]

Parses records in the console log of pRESTO modules

  help:

--version
    show program's version number and exit

-h, --help
    show this help message and exit

  standard arguments:

-o OUT_FILES [OUT_FILES ...]
    Explicit output file name(s). Note, this argument cannot be used with the --failed, --outdir, or --outname arguments. If unspecified, then the output filename will be based on the input filename(s). (default: None)

--outdir OUT_DIR
    Specify to changes the output directory to the location specified. The input file directory is used if this is not specified. (default: None)

--outname OUT_NAME
    Changes the prefix of the successfully processed output file to the string specified. May not be specified with multiple input files. (default: None)

--delim DELIMITER DELIMITER DELIMITER
    A list of the three delimiters that separate annotation blocks, field names and values, and values within a field, respectively. (default: ('|', '=', ','))

  parsing arguments:

-l RECORD_FILES [RECORD_FILES ...]
    List of log files to parse. (default: None)

-f FIELDS [FIELDS ...]
    List of fields to collect. The sequence identifier may be specified using the hidden field name "ID". (default: None)

  output files:

    table

    tab delimited table of the selected annotations.

  output annotation fields:

    <user defined>

    annotation fields specified by the -f argument.

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.